Package com.arms.api.dashboard.service

## Interface DashboardService

- All Known Implementing Classes:
    `DashboardServiceImpl`

      public interface DashboardService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Top5AssigneeReqStatusInfoVO>` | `findTopNAssigneeReqStateInfo​(java.lang.String changeReqTableName, DashboardDTO dashboardDTO, java.lang.Integer topN)` |
    `java.util.List<TopNReqAssigneeVO>` | `findTopNReqAssignee​(DashboardDTO dashboardDTO, java.lang.Integer topN)` |
    `java.util.List<TreeMapWorkerVO>` | `findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse>` | `requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)` |
    `SankeyData` | `sankeyChartAPIWithTopN​(DashboardDTO dashboardDTO, java.lang.Integer topN)` |

- - ### Method Detail

    - #### requirementsJiraIssueStatuses

          java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse> requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)

    - #### sankeyChartAPIWithTopN

          SankeyData sankeyChartAPIWithTopN​(DashboardDTO dashboardDTO,
                                            java.lang.Integer topN)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findTreeMapChartDataV3

          java.util.List<TreeMapWorkerVO> findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findTopNReqAssignee

          java.util.List<TopNReqAssigneeVO> findTopNReqAssignee​(DashboardDTO dashboardDTO,
                                                                java.lang.Integer topN)

    - #### findTopNAssigneeReqStateInfo

          java.util.List<Top5AssigneeReqStatusInfoVO> findTopNAssigneeReqStateInfo​(java.lang.String changeReqTableName,
                                                                                   DashboardDTO dashboardDTO,
                                                                                   java.lang.Integer topN)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`